Get project by ID
GET
/api/projects/{id}
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Responses
200
Project details
application/jsonproject
object & object
REQUIRED
id
string
REQUIRED
name
string
REQUIRED
domains
string[]
REQUIRED
Array of:
string
brandConfig
object
REQUIRED
isDefault
boolean
REQUIRED
contentInventory
object | null
messagingContext
object | null
crawledAt
string | null
createdAt
string
REQUIRED
updatedAt
string
REQUIRED
proxy_key
string | null
signing_secret
string | null
allowed_origins
string | null
default_motion
string | null
Enum:
subtle, medium, kinetic, nulldefault_dur_seconds
number | null
default_mode
string | null
Enum:
loop, animate-in, animate-on-hover, nullcompositionCount
number
REQUIRED
401
Authentication required
404
Project not found
curl -X GET 'https://motioness.com/api/projects/abc123'
const response = await fetch('https://motioness.com/api/projects/abc123', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://motioness.com/api/projects/abc123')print(response.json())
200
Response
{ "project": { "id": "<string>", "name": "<string>", "domains": [ "<string>" ], "brandConfig": "<object>", "isDefault": true, "contentInventory": "<object>", "messagingContext": "<object>", "crawledAt": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "proxy_key": "<string>", "signing_secret": "<string>", "allowed_origins": "<string>", "default_motion": "subtle", "default_dur_seconds": 123, "default_mode": "loop" }, "compositionCount": 123}
API Playground
Try this endpoint
GET
/api/projects/{id}